#TODO Copied base application properties, should be modified for production
server.port=8081

spring.security.oauth2.resourceserver.opaque-token.introspection-uri=https://oidc.muni.cz/oidc/introspect
spring.security.oauth2.resourceserver.opaque-token.client-id=d57b3a8f-156e-46de-9f27-39c4daee05e1
spring.security.oauth2.resourceserver.opaque-token.client-secret=fa228ebc-4d54-4cda-901e-4d6287f8b1652a9c9c44-73c9-4502-973f-bcdb4a8ec96a

management.endpoints.web.exposure.include=health,metrics,prometheus
management.endpoint.health.show-details=always
management.health.defaults.enabled=true
management.endpoint.health.probes.enabled=true

spring.jpa.open-in-view=false
spring.h2.console.enabled=true
spring.datasource.url=jdbc:h2:mem:school
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.username=sa
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
# showing SQL is generally good practice for running project locally to check whether there is not an issue with implementation of JPA methods.
spring.jpa.show-sql=true
spring.jackson.property-naming-strategy=LOWER_CAMEL_CASE
spring.cache.type=NONE
appconfig.enablecache=false